import { OnInit, OnChanges, SimpleChanges, EventEmitter } from '@angular/core';
import { QuizService } from '../../../shared/service/quiz.service';
import { HeaderComponent } from '../header/header.component';
import { TestProgress, UserAttemptDetails, SystemConfig } from '../../../shared/models';
import { TestModeSettings } from '../../../shared/models';
import { TestEngineFeatures } from '../../../shared/models';
import { CurrentData } from '../../../shared/models';
import { SubmitAnswerPayload } from '../../../shared/models';
import { TestData } from '../../../shared/models';
import { EmailTemplate } from '../../../shared/models/template.model';
import { TestIndexComponent } from '../../../shared/components/common/test-index/test-index.component';
import { QpFeaturesComponent } from '../qp-features/qp-features.component';
import { ItemService } from '../../../item-types/components/item-service/item-service.service';
import { ThemeService } from '../../../shared/service/theme.service';
export declare class QPBaseComponent implements OnInit, OnChanges {
    quizService: QuizService;
    private itemService;
    themeService: ThemeService;
    emptyAnswer: boolean;
    clearAnswer: boolean;
    showHide: boolean;
    imagePath: string;
    isSummary: boolean;
    currentIndex: number;
    selectedTheme: boolean;
    currentItem: CurrentData;
    testEngineFeatures: TestEngineFeatures;
    testModeSettings: TestModeSettings;
    userAnswer: any;
    preferredTextFormat: number;
    userAttemptDetails: UserAttemptDetails;
    canShowTitle: boolean;
    systemConfig: SystemConfig;
    testData: TestData;
    testProgress: TestProgress;
    itemData: CurrentData;
    summaryData: CurrentData;
    isOnline: boolean;
    indexOfItems: any;
    examEngineType: any;
    templateData: EmailTemplate;
    mailSuccessData: number;
    disableNav: boolean;
    questionChanged: EventEmitter<any>;
    pageChanged: EventEmitter<any>;
    itemChangedByIndex: EventEmitter<any>;
    reportContentErrorData: EventEmitter<any>;
    sendReportContentErrorDetails: EventEmitter<any>;
    header: HeaderComponent;
    featureContainer: QpFeaturesComponent;
    testIndexComponent: TestIndexComponent;
    constructor(quizService: QuizService, itemService: ItemService, themeService: ThemeService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    setItemDetails(): void;
    getUserAnswer(event: any): void;
    nextorPreviousItem(event: any): void;
    showAnswerStatus(event: any): void;
    clearResponse(event: any): void;
    resetItemData(): void;
    paginationChanged(event: any): void;
    canShowIndex(): boolean;
    indexChanged(indexValue: any): void;
    updateBookMarkStatus(bookmarkstatus: any): void;
    formatSubmitAnswerPayload(event?: string): SubmitAnswerPayload;
    reportContentError(clientDetails: any): void;
    sendReportContentError(mailContent: any): void;
}
